pydo.monitoring.get_alert_policy()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.monitoring.get_alert_policy(
    alert_uuid="4de7ac8b-495b-4884-9a69-1050c6793cd6",
)
Returns JSONRaises HttpResponseError

Description

To retrieve a given alert policy, send a GET request to /v2/monitoring/alerts/{alert_uuid}

Parameters

alert_uuid string required

A unique identifier for an alert policy.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.monitoring.get_alert_policy(alert_uuid="dfa8da")

Response Example

Show Response Example
{
  "policy": {
    "alerts": {
      "email": [
        "[email protected]"
      ],
      "slack": []
    },
    "compare": "GreaterThan",
    "description": "CPU Alert",
    "enabled": true,
    "entities": [
      "192018292"
    ],
    "tags": [
      "droplet_tag"
    ],
    "type": "v1/insights/droplet/cpu",
    "uuid": "78b3da62-27e5-49ba-ac70-5db0b5935c64",
    "value": 80,
    "window": "5m"
  }
}

More Information

See /v2/monitoring/alerts/{alert_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.